%define unstable 0
%define qtdir /usr/lib/qt3
%define static 0
%define postfix _cvs

%define objprelink 1

%undefine __libtoolize
%define gccver %(gcc -dumpversion| cut -d. -f-2)

Name: kdevelop
Version: 2.1.2
Release: alt3
Serial: 2

Group: Development/C++
Summary: Integrated Development Environment for C++/C
Url: http://www.kdevelop.org/
#Packager: Viktor S. Grishchenko <gritzko@ural.ru>
License: GPL

Source: kdevelop-%version%postfix.tar.bz2
Source1: ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.1.tar.bz2
Source2: kdevelop-2.0-kdevelop
Source3: kdevelop-htdig.conf
Patch: detect_alt_autoconf.patch

# Automatically added by buildreq on Tue Jan 22 2002
BuildRequires: flex freetype2 gcc-c++ kdebase kde-common kdelibs-devel
BuildRequires: libarts-devel libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel qt3-doc
BuildRequires: XFree86-devel XFree86-libs zlib-devel


PreReq: autoconf automake enscript gcc-c++ gcc-cpp openssl-devel
PreReq: kdegraphics-kiconedit kdelibs-devel XFree86-devel
PreReq: kdoc libjpeg-devel libqt3-devel make perl sgml-tools gettext zlib-devel
PreReq: qt3-designer kdbg ctags

BuildPreReq: autoconf >= 2.53, automake >= 1.5

# must die 
#Provides: kdevelop

%if %objprelink
BuildRequires: objprelink
%endif

BuildRequires: kdelibs-gcc_compiled = %gccver

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver


%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf

   * KAppWizard, which generates complete, ready-to-go sample applications

   * Classgenerator, for creating new classes and integrating them into the
     current project

   * File management for sources, headers, documentation etc. to be included in
     the project

   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel

   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project

   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor

   * Debugging your application by integrating KDbg

   * Editing of project-specific pixmaps with KIconEdit

   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.

%package devel
Summary: Development libraries for kdevelop
Group: Development/KDE and QT
PreReq: %name = %version-%release

%description devel
Development libraries for kdevelop.

%if %static
%package devel-static
Summary: Static libraries for kdevelop
Group: Development/KDE and QT
PreReq: %name = %version-%release

%description devel-static
Static libraries for kdevelop.
%endif

%prep
%define buildsubdir kdevelop-%version%postfix
%setup -q -a1 -n %buildsubdir

%patch

perl -pi -e "s|-lkfile||g" admin/acinclude.m4.in
perl -pi -e "s|Name=KDevelop.*|Name=KDevelop|g" %_builddir/%buildsubdir/kdevelop/kdevelop.desktop
perl -pi -e "s|Name=KDevelop.*|Name=KDevelop - Setup|g" %_builddir/%buildsubdir/kdevelop/kdevelop-setup.desktop

make -f Makefile.cvs ||:

%build
export QTDIR=%qtdir
# export KDE_CXXFLAGS="-DQT_CLEAN_NAMESPACE"
%configure \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
		    --enable-final \
                    --enable-shared \
%if %static
                    --enable-static \
%else
                    --disable-static \
%endif
                    --with-xinerama \
                    --disable-mt \
                    --with-qtdoc-dir=%qtdir/doc/html/ \
                    --with-kdelibsdoc-dir=%_docdir/HTML/en/api/ \
		    --program-transform-name="" \
                    --disable-rpath

%if %objprelink
%make_build CXX=g++prelink KDE_CXXFLAGS="$KDE_CXXFLAGS"
%else
%make_build KDE_CXXFLAGS="$KDE_CXXFLAGS"
%endif

# c references
cd c_cpp_reference-2.0.1
cp -f /usr/share/libtool/config* .
mkdir -p admin && cp ../admin/am_edit admin/
autoconf
%configure
%make_build
cd -

%install
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
%set_strip_method none
%endif

make install DESTDIR=%buildroot

make -C c_cpp_reference-2.0.1 DESTDIR=%buildroot install

# Create LMDK menus
install -d %buildroot/%_menudir

# Dadou - 2.1-1mdk - This one is provided by qt2-designer
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/designer.desktop %buildroot/%_menudir/kdevelop-designer
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop-setup.desktop %buildroot/%_menudir/kdevelop-kdevelop-setup
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_menudir/kdevelop-kdevelop
# Dadou - 2.1-1mdk - This one is not provided in LMDK distribution
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/linguist.desktop %buildroot/%_menudir/kdevelop-lingusit

mv %buildroot/%_bindir/kdevelop %buildroot/%_bindir/kdevelop-real
install -m 0755 %SOURCE2 %buildroot/%_bindir/kdevelop
install -m 0644 %SOURCE3 %buildroot/%_datadir/apps/kdevelop/tools/htdig.conf

# LMONTEL - 1.4-0.20010116-1mdk - Version in menu is not allowed
# Dadou - 1.4-1mdk - Warning, version change time to time. Check it everytime
#                    you rebuild this package
perl -pi -e "s|KDevelop 2.0|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop
perl -pi -e "s|KDevelop 2.0|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop-setup

# Laurent MONTEL - 2.2-0.alpha1.1mdk - Removed because it's provided by kdesdk
rm -f %buildroot/%_bindir/extractrc

# Dadou - 2.2-0.beta1.1mdk - Removed because they are provided by kdelibs
rm -f %buildroot/%_datadir/mimelnk/application/x-designer.desktop
rm -f %buildroot/%_datadir/mimelnk/application/x-linguist.desktop

%files
#%dir %_docdir/HTML/
#%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kdevelop/
#%doc %_docdir/HTML/en/kdevelop/*.database
%doc %_docdir/HTML/en/kdevelop/*.html
%doc %_docdir/HTML/en/kdevelop/*.png
#
%doc %dir %_docdir/HTML/en/kdevelop/about/
%doc %_docdir/HTML/en/kdevelop/about/*.css
%doc %_docdir/HTML/en/kdevelop/about/*.html
%doc %_docdir/HTML/en/kdevelop/about/*.png
#
%doc %dir %_docdir/HTML/en/kdevelop/kde_libref/
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.html
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.png
#
%doc %dir %_docdir/HTML/en/kdevelop/programming/
%doc %_docdir/HTML/en/kdevelop/programming/*.html
%doc %_docdir/HTML/en/kdevelop/programming/*.png
#
%doc %dir %_docdir/HTML/en/kdevelop/reference/
%doc %dir %_docdir/HTML/en/kdevelop/reference/C/
%doc %_docdir/HTML/en/kdevelop/reference/C/*
#
%doc %dir %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/
%doc %_docdir/HTML/en/kdevelop/reference/CPLUSPLUS/*
#
%doc %dir %_docdir/HTML/en/kdevelop/reference/GRAPHICS/
%doc %_docdir/HTML/en/kdevelop/reference/GRAPHICS/*.gif
#
%dir %_docdir/HTML/en/kdevelop/tutorial/
%doc %_docdir/HTML/en/kdevelop/tutorial/*.html
%doc %_docdir/HTML/en/kdevelop/tutorial/*.png
#
#
#
%_bindir/*
#
#
#
%_menudir/*
#
%_libdir/*.la
%_libdir/*.so.*
#
#
%_datadir/applnk/Development/*
#
#
#
#%dir %_datadir/apps/
%dir %_datadir/apps/kdevelop/
%_datadir/apps/kdevelop/*.rc
%_datadir/apps/kdevelop/*.spec
%_datadir/apps/kdevelop/eventsrc
%_datadir/apps/kdevelop/tips
#
#
%dir %_datadir/apps/kdevelop/icons/
%dir %_datadir/apps/kdevelop/icons/hicolor/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/actions/
%_datadir/apps/kdevelop/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/actions/
%_datadir/apps/kdevelop/icons/hicolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/kdevelop/pics/
%_datadir/apps/kdevelop/pics/*.png
#
#
%dir %_datadir/apps/kdevelop/templates/
%_datadir/apps/kdevelop/templates/*
#
#
%dir %_datadir/apps/kdevelop/tools/
%_datadir/apps/kdevelop/tools/*.pl
%_datadir/apps/kdevelop/tools/*.sh
%_datadir/apps/kdevelop/tools/kimport
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/kdevelop2.upd
#
#
#%dir %_iconsdir/hicolor/
#%dir %_iconsdir/hicolor/16x16/
#%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
#%dir %_iconsdir/hicolor/32x32/
#%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
#%dir %_iconsdir/hicolor/48x48/
#%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
#%dir %_datadir/mimelnk/
#%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop

%files devel
%_libdir/*.so

%if %static
%files devel-static
%_libdir/*.a
%endif

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%changelog
* Fri Oct 04 2002 Gor <vg@altlinux.ru> 2:2.1.2-alt3
- spec fixes for new kde deps
- sources updated from CVS

* Fri Oct 04 2002 Gor <vg@altlinux.ru> 2:2.1.2-alt2
- rebuild with gcc-3.2 & new kdelibs

* Wed Jul 31 2002 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:2.1.2-alt1
- update from cvs (KDE_2_2_BRANCH, 2.1.2+fixes)
- removed MDK patches (obsolete)
- removed automake hack patch
- removed  kdevelop-2.1beta1-kde3.patch
- detect_alt_autoconf.patch to choose appropriate autoconf alternative

* Fri Jun 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt3
- update from cvs (KDEVELOP_2_0_BRANCH)

* Fri May 31 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt2
- fix missing C reference files

* Fri May 31 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt1
- new version

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1-alt1
- new version

* Tue Mar 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt5
- add any PreReq

* Fri Feb 15 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt4
- sync with cooker (add patches 3-6)

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt3
- rebuild without fam
- sync with cooker (update cvs)

* Mon Dec 10 2001 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt2
- fix Patch10 (QString.patch)

* Fri Dec 07 2001 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt1
- new version

* Wed Nov 21 2001 Sergey V Turchin <zerg@altlinux.ru> 1:2.2-alt8
- add Patch10 from Sergey A. Sukiyazov <corwin@micom.don.ru>

* Fri Oct 12 2001 AEN <aen@logic.ru> 2.2-alt7
- rebuild with new libpng

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt6
- rebuild with new libpng

* Tue Aug 28 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt5
- fix broken dependences

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.2-alt4
- Fixed .la bug

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.2-alt3
- Some spec cleanup
- Added -devel package
- Fixed filelists
- Added c_cpp_reference documentation

* Mon Aug 20 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt2
- fixed %%serial

* Fri Aug 17 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt1
- build for ALT

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix generated menu

* Wed Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- kdevelop 2.0 for kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Fri Jun 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Wed May 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kdevelop 2.2 alpha2

* Tue May 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kdevelop 2.2 alpha1

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-3mdk
- Add requires

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-1mdk
- Kdevelop 1.4.1
- Disable PATH for kdelibsdoc-dir (looks in kdelibs buildroot!???)

* Sun Mar 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-6mdk
- Rebuild for Linux-Mandrake 8.0 Beta 2
- Rebuild against Qt 2.3.0
- Re-enable default PATH for kdelibsdoc-dir
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.4-5mdk
- removed BuildRequires for libreadline4

* Thu Mar 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-4mdk
- Requires: libjpeg-devel

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-3mdk
- Add BuildRequires

* Sun Feb 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-2mdk
- Repackage (update in KDE 2.1 sources)

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-1mdk
- Kdevelop 1.4

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-0.20010220.1mdk
- Enable --disable-debug
- Rewrite file list to fix updates
- Remove non needed %%find_lang

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010213.1mdk
- Update code
- rebuild for kde > beta 2

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.4mdk
- Fix requires

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.3mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.2mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.1mdk
- initial packaging
